Bullet Collision Detection & Physics Library: btMultibodyLink Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
btMultibodyLink Struct Reference

`#include <btMultiBodyLink.h>`

Collaboration diagram for btMultibodyLink:
[legend]

## Public Types
enum | eFeatherstoneJointType { eRevolute = 0 , ePrismatic = 1 , eSpherical = 2 , ePlanar = 3 , eFixed = 4 , eInvalid }

## Public Member Functions
| BT_DECLARE_ALIGNED_ALLOCATOR ()
void | setAxisTop (int dof, const btVector3 &axis)
void | setAxisBottom (int dof, const btVector3 &axis)
void | setAxisTop (int dof, const btScalar &x, const btScalar &y, const btScalar &z)
void | setAxisBottom (int dof, const btScalar &x, const btScalar &y, const btScalar &z)
const btVector3 & | getAxisTop (int dof) const
const btVector3 & | getAxisBottom (int dof) const
| btMultibodyLink ()
void | updateCacheMultiDof (btScalar *pq=0)
void | updateInterpolationCacheMultiDof ()

## Public Attributes
btScalar | m_mass
btVector3 | m_inertiaLocal
int | m_parent
btQuaternion | m_zeroRotParentToThis
btVector3 | m_dVector
btVector3 | m_eVector
btSpatialMotionVector | m_absFrameTotVelocity
btSpatialMotionVector | m_absFrameLocVelocity
btSpatialMotionVector | m_axes [6]
int | m_dofOffset
int | m_cfgOffset
btQuaternion | m_cachedRotParentToThis
btVector3 | m_cachedRVector
btQuaternion | m_cachedRotParentToThis_interpolate
btVector3 | m_cachedRVector_interpolate
btVector3 | m_appliedForce
btVector3 | m_appliedTorque
btVector3 | m_appliedConstraintForce
btVector3 | m_appliedConstraintTorque
btScalar | m_jointPos [7]
btScalar | m_jointPos_interpolate [7]
btScalar | m_jointTorque [6]
class btMultiBodyLinkCollider * | m_collider
int | m_flags
int | m_dofCount
int | m_posVarCount
eFeatherstoneJointType | m_jointType
struct btMultiBodyJointFeedback * | m_jointFeedback
btTransform | m_cachedWorldTransform
const char * | m_linkName
const char * | m_jointName
const void * | m_userPtr
btScalar | m_jointDamping
btScalar | m_jointFriction
btScalar | m_jointLowerLimit
btScalar | m_jointUpperLimit
btScalar | m_jointMaxForce
btScalar | m_jointMaxVelocity

## Detailed Description

Definition at line 47 of file btMultiBodyLink.h.

## Member Enumeration Documentation

## ◆ eFeatherstoneJointType

enum btMultibodyLink::eFeatherstoneJointType

Enumerator
eRevolute |
ePrismatic |
eSpherical |
ePlanar |
eFixed |
eInvalid |

Definition at line 70 of file btMultiBodyLink.h.

## Constructor & Destructor Documentation

## ◆ btMultibodyLink()

btMultibodyLink::btMultibodyLink | ( |  | ) |
| inline

Definition at line 155 of file btMultiBodyLink.h.

## Member Function Documentation

## ◆ BT_DECLARE_ALIGNED_ALLOCATOR()

btMultibodyLink::BT_DECLARE_ALIGNED_ALLOCATOR | ( |  | ) |

## ◆ getAxisBottom()

const btVector3 & btMultibodyLink::getAxisBottom | ( | int | dof | ) | const
| inline

Definition at line 108 of file btMultiBodyLink.h.

## ◆ getAxisTop()

const btVector3 & btMultibodyLink::getAxisTop | ( | int | dof | ) | const
| inline

Definition at line 107 of file btMultiBodyLink.h.

## ◆ setAxisBottom() [1/2]

void btMultibodyLink::setAxisBottom | ( | int | dof,
|  | const btScalar & | x,
|  | const btScalar & | y,
|  | const btScalar & | z
| ) |  |
| inline

Definition at line 103 of file btMultiBodyLink.h.

## ◆ setAxisBottom() [2/2]

void btMultibodyLink::setAxisBottom | ( | int | dof,
|  | const btVector3 & | axis
| ) |  |
| inline

Definition at line 95 of file btMultiBodyLink.h.

## ◆ setAxisTop() [1/2]

void btMultibodyLink::setAxisTop | ( | int | dof,
|  | const btScalar & | x,
|  | const btScalar & | y,
|  | const btScalar & | z
| ) |  |
| inline

Definition at line 99 of file btMultiBodyLink.h.

## ◆ setAxisTop() [2/2]

void btMultibodyLink::setAxisTop | ( | int | dof,
|  | const btVector3 & | axis
| ) |  |
| inline

Definition at line 94 of file btMultiBodyLink.h.

## ◆ updateCacheMultiDof()

void btMultibodyLink::updateCacheMultiDof | ( | btScalar * | pq = `0` | ) |
| inline

Definition at line 196 of file btMultiBodyLink.h.

## ◆ updateInterpolationCacheMultiDof()

void btMultibodyLink::updateInterpolationCacheMultiDof | ( |  | ) |
| inline

Definition at line 248 of file btMultiBodyLink.h.

## Member Data Documentation

## ◆ m_absFrameLocVelocity

btSpatialMotionVector btMultibodyLink::m_absFrameLocVelocity

Definition at line 68 of file btMultiBodyLink.h.

## ◆ m_absFrameTotVelocity

btSpatialMotionVector btMultibodyLink::m_absFrameTotVelocity

Definition at line 68 of file btMultiBodyLink.h.

## ◆ m_appliedConstraintForce

btVector3 btMultibodyLink::m_appliedConstraintForce

Definition at line 122 of file btMultiBodyLink.h.

## ◆ m_appliedConstraintTorque

btVector3 btMultibodyLink::m_appliedConstraintTorque

Definition at line 123 of file btMultiBodyLink.h.

## ◆ m_appliedForce

btVector3 btMultibodyLink::m_appliedForce

Definition at line 119 of file btMultiBodyLink.h.

## ◆ m_appliedTorque

btVector3 btMultibodyLink::m_appliedTorque

Definition at line 120 of file btMultiBodyLink.h.

## ◆ m_axes

btSpatialMotionVector btMultibodyLink::m_axes[6]

Definition at line 93 of file btMultiBodyLink.h.

## ◆ m_cachedRotParentToThis

btQuaternion btMultibodyLink::m_cachedRotParentToThis

Definition at line 112 of file btMultiBodyLink.h.

## ◆ m_cachedRotParentToThis_interpolate

btQuaternion btMultibodyLink::m_cachedRotParentToThis_interpolate

Definition at line 116 of file btMultiBodyLink.h.

## ◆ m_cachedRVector

btVector3 btMultibodyLink::m_cachedRVector

Definition at line 113 of file btMultiBodyLink.h.

## ◆ m_cachedRVector_interpolate

btVector3 btMultibodyLink::m_cachedRVector_interpolate

Definition at line 117 of file btMultiBodyLink.h.

## ◆ m_cachedWorldTransform

btTransform btMultibodyLink::m_cachedWorldTransform

Definition at line 141 of file btMultiBodyLink.h.

## ◆ m_cfgOffset

int btMultibodyLink::m_cfgOffset

Definition at line 110 of file btMultiBodyLink.h.

## ◆ m_collider

class btMultiBodyLinkCollider* btMultibodyLink::m_collider

Definition at line 132 of file btMultiBodyLink.h.

## ◆ m_dofCount

int btMultibodyLink::m_dofCount

Definition at line 135 of file btMultiBodyLink.h.

## ◆ m_dofOffset

int btMultibodyLink::m_dofOffset

Definition at line 110 of file btMultiBodyLink.h.

## ◆ m_dVector

btVector3 btMultibodyLink::m_dVector

Definition at line 58 of file btMultiBodyLink.h.

## ◆ m_eVector

btVector3 btMultibodyLink::m_eVector

Definition at line 66 of file btMultiBodyLink.h.

## ◆ m_flags

int btMultibodyLink::m_flags

Definition at line 133 of file btMultiBodyLink.h.

## ◆ m_inertiaLocal

btVector3 btMultibodyLink::m_inertiaLocal

Definition at line 52 of file btMultiBodyLink.h.

## ◆ m_jointDamping

btScalar btMultibodyLink::m_jointDamping

Definition at line 147 of file btMultiBodyLink.h.

## ◆ m_jointFeedback

struct btMultiBodyJointFeedback* btMultibodyLink::m_jointFeedback

Definition at line 139 of file btMultiBodyLink.h.

## ◆ m_jointFriction

btScalar btMultibodyLink::m_jointFriction

Definition at line 148 of file btMultiBodyLink.h.

## ◆ m_jointLowerLimit

btScalar btMultibodyLink::m_jointLowerLimit

Definition at line 149 of file btMultiBodyLink.h.

## ◆ m_jointMaxForce

btScalar btMultibodyLink::m_jointMaxForce

Definition at line 151 of file btMultiBodyLink.h.

## ◆ m_jointMaxVelocity

btScalar btMultibodyLink::m_jointMaxVelocity

Definition at line 152 of file btMultiBodyLink.h.

## ◆ m_jointName

const char* btMultibodyLink::m_jointName

Definition at line 144 of file btMultiBodyLink.h.

## ◆ m_jointPos

btScalar btMultibodyLink::m_jointPos[7]

Definition at line 125 of file btMultiBodyLink.h.

## ◆ m_jointPos_interpolate

btScalar btMultibodyLink::m_jointPos_interpolate[7]

Definition at line 126 of file btMultiBodyLink.h.

## ◆ m_jointTorque

btScalar btMultibodyLink::m_jointTorque[6]

Definition at line 130 of file btMultiBodyLink.h.

## ◆ m_jointType

eFeatherstoneJointType btMultibodyLink::m_jointType

Definition at line 137 of file btMultiBodyLink.h.

## ◆ m_jointUpperLimit

btScalar btMultibodyLink::m_jointUpperLimit

Definition at line 150 of file btMultiBodyLink.h.

## ◆ m_linkName

const char* btMultibodyLink::m_linkName

Definition at line 143 of file btMultiBodyLink.h.

## ◆ m_mass

btScalar btMultibodyLink::m_mass

Definition at line 51 of file btMultiBodyLink.h.

## ◆ m_parent

int btMultibodyLink::m_parent

Definition at line 54 of file btMultiBodyLink.h.

## ◆ m_posVarCount

int btMultibodyLink::m_posVarCount

Definition at line 135 of file btMultiBodyLink.h.

## ◆ m_userPtr

const void* btMultibodyLink::m_userPtr

Definition at line 145 of file btMultiBodyLink.h.

## ◆ m_zeroRotParentToThis

btQuaternion btMultibodyLink::m_zeroRotParentToThis

Definition at line 56 of file btMultiBodyLink.h.

The documentation for this struct was generated from the following file:

- btMultiBodyLink.h